import Kdu from 'kdu/dist/kdu'
import FontAwesomeIcon from '../FontAwesomeIcon'

export function compileAndMount (str, params = {}) {
  const res = Kdu.compile(str)
  const vm = new Kdu({
    ...params,
    render: res.render,
    staticRenderFn: res.staticRenderFn
  })

  vm.$mount()

  return vm
}

export function mountFromProps (propsData = {}) {
  const opts = {
    render: (h) => h(
      FontAwesomeIcon,
      { props: propsData }
    )
  }

  const vm = new Kdu(opts)
  vm.$mount()

  return vm
}
